# Verfügbarkeiten auflisten

`GET https://{tenant}.stamp.eu/rest/employees/{employee}/availability`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Query-Parameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `start` | string | nein | No `sometimes`: the pair has to be complete, and that rule can only fire when the missing half is still validated. |
| `end` | string | nein |  |

## Antworten

### 200: Array of `EmployeeAvailabilityResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object[] | ja |
| `data[].id` | string | ja |
| `data[].employee_id` | string | ja |
| `data[].date` | string | ja |
| `data[].type` | string | ja |
| `data[].shift_id` | string | ja |
| `data[].note` | string | ja |
| `data[].weight` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
